For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
      • GETGet account settings
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Code Defender APIAccount Settings

Get account settings

GET
https://api-gw.perimeterx.com/v1/account-settings
GET
/v1/account-settings
$curl https://api-gw.perimeterx.com/v1/account-settings \
> -H "Authorization: Bearer <token>"
1{
2 "applications": [
3 {
4 "app_id": "PXabc123",
5 "name": "HUMAN Security",
6 "enabled": true,
7 "hostDomains": [
8 {
9 "domain": "string",
10 "last_created_baseline": "string"
11 }
12 ],
13 "csm_enabled": true,
14 "sensor_version": "4.1.1",
15 "muvs": {
16 "2022-08": 8698227,
17 "2022-09": 9432064,
18 "2022-10": 11399034,
19 "2022-11": 15275195,
20 "2022-12": 8480986,
21 "2023-01": 10015053,
22 "2023-02": 7668405
23 },
24 "account_name": "HUMAN Security"
25 }
26 ],
27 "accountName": "HUMAN Security",
28 "alerts": [
29 {
30 "name": "Test 1",
31 "type": "email",
32 "notifications": [
33 {
34 "app_id": "PXabc123",
35 "host_domain": "domain1.com",
36 "notification_levels": {
37 "high": true,
38 "low": false,
39 "medium": false
40 }
41 }
42 ]
43 },
44 {
45 "name": "Test 2",
46 "type": "slack",
47 "notifications": [
48 {
49 "app_id": "PXabc123",
50 "host_domain": "domain1.com",
51 "notification_levels": {
52 "high": true,
53 "low": false,
54 "medium": true
55 }
56 },
57 {
58 "app_id": "PXabc123",
59 "host_domain": "domain2.com",
60 "notification_levels": {
61 "high": true,
62 "low": false,
63 "medium": false
64 }
65 }
66 ]
67 }
68 ]
69}
Returns an object with general information about the account.
Was this page helpful?
Previous

Code examples

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Success
applicationslist of objects
The applications associated with the account.
accountNamestring
Name of the account.
alertslist of objects
Array of configured alerts.

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error